#pragma once
#include <afxwin.h>
#include "resource.h"


// CReplaceInstDlg dialog
class CaplInstance;
class CaplNetStepData;

class CReplaceInstDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CReplaceInstDlg)

public:
	CReplaceInstDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CReplaceInstDlg();

	CaplNetStepData *m_data;
	CaplInstance *m_inst1,*m_inst2;
	bool m_bCheckSelect;
	bool m_bResult;

	bool m_bAutoRun;
	bool m_bAutoHide;

	void AddLog(LPCTSTR txt);

// Dialog Data
	enum { IDD = IDD_REPLACE_INST };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


	void PrintInst(CaplInstance *inst, CString &str);

	DECLARE_MESSAGE_MAP()
public:
	CStatic m_header_ctrl;
	CEdit m_log_ctrl;
	afx_msg void OnBnClickedRun();
	virtual BOOL OnInitDialog();
	CButton m_run_btn;
};
